Open SCAP Library

Functions | Variables
oval_string_map_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include "oval_collection_impl.h"`
`#include "../common/util.h"`

Go to the source code of this file.

## Functions
struct oval_string_map * | oval_string_map_new (void)
void | oval_string_map_put (struct oval_string_map *, const char *, void *)
void | oval_string_map_put_string (struct oval_string_map *, const char *, const char *)
struct oval_iterator * | oval_string_map_keys (struct oval_string_map *)
struct oval_iterator * | oval_string_map_values (struct oval_string_map *)
void * | oval_string_map_get_value (struct oval_string_map *, const char *)
void | oval_string_map_free (struct oval_string_map *, oscap_destruct_func)
void | oval_string_map_free0 (struct oval_string_map *)
void | oval_string_map_free_string (struct oval_string_map *)
struct oval_collection * | oval_string_map_collect_values (struct oval_string_map *map, struct oval_collection *collection)

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/